// Package imports:

import 'package:hive_ce_flutter/hive_flutter.dart';

///
/// Вспомогательный класс для открытия [Hive] хранилищ
///
class HiveCreator<T> {
  ///
  /// Открывает [Hive] хранилище с типом [T]
  ///
  Future<Box<T>> open(String name, [HiveCipher? cipher]) {
    return Hive.openBox<T>(name, encryptionCipher: cipher);
  }
}
